Subject: Re: bug#15616: 24.3; Setting lexical-binding in file's local variables block should trigger a warning

From: Ryan <[email-masked]>
Date: Tue, 15 Oct 2013 10:17:51 -0700

Actually, my testing indicates that the documentation is inaccurate: 
lexical-binding can be set via either the first line or a local 
variables block, and it will take effect in both cases when the file is 
compiled. This is on version 24.3.1. So I guess the documentation just 
needs to be updated.

On Mon Oct 14 20:22:32 2013, Stefan Monnier wrote:
>> When compiling and/or loading an emacs lisp file that sets lexical-binding
>> in a local variables section rather than in the first line of the
>> file, a warning should be shown informing that the setting will have no
>> effect.
>
> Agreed, patch welcome,
>
>
>          Stefan